package LJperl;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use LJperl ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
	
);
our $VERSION = '0.02';

bootstrap LJperl $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!
=head1 NAME

LJperl - Perl extension for the USB LabJack (http://www.labjack.com/)

=head1 SYNOPSIS

  use LJperl;
  blah blah blah

=head1 DESCRIPTION

Perl Extension for access to the LabJack USB-based
measurement and automation device (http://www.labjack.com/) using
either the Eric Sortons Linux LabJack library
(http://www.cctcorp.com/~eric/labjack/) or the LabJack provided
ljackuw.lib (include on the LabJack CD).

=head2 EXPORT

None by default.

=head1 METHODS

=head2 EAnalog

=over 4

Easy function reads the voltage from 1 analog input.  Calling
this function turns/leaves the status LED on.

=over -4

=head3 Inputs:

=over 4

I<idnum>	Local ID, Serial Number, or -1 for first found (I32).

I<demo>		Send 0 for normal operation, >0 for demo mode (I32).

I<channel>	Channel command is 0-7 for SE or 8-11 for Diff.

I<gain>		Gain command is 0=1,1=2,...,7=20.  Gain only available for differential channels.

=back

=head3 Outputs:

=over 4

I<idnum>		Local ID or -1 if no LabJack is found (I32).

I<overVoltage>	If >0, analog input overvoltage has been detected (I32).

I<voltage>		Returns the voltage reading (SGL).

=over -4

($errcode, $idnum, $overVoltage, $voltage) = EAnalogIn($idnum, $demo, $channel, $gain);

=head2 EAnalogOut

=head2 ECount

=head2 EDigitalIn

=head2 EDigitalOut

=head2 AISample

=head2 Counter

=head2 DigitalIO

=head2 GetDriverVersion

=head2 GetErrorString

=head2 GetWinVersion

=head2 ReEnum

=head2 Reset

=head2 ResetLJ

=head2 SHT1X

=head2 SHTComm

=head2 SHTCRC

=head2 Synch

=head2 Watchdog

=head2 ReadMem

=head2 WriteMem

=head2 BitsToVolts

=head2 VoltsToBits

=head2 AsynchConfig

=head2 PulseOut

=head2 PulseOutStart

=head2 PulseOutFinish

=head2 PulseOutCalc

=head2 Asynch

=head2 AIBurst

=head2 AIStreamStart

=head2 AIStreamRead

=head2 AIStreamClear

=head2 AOUpdate

=head2 ListAll

=head2 LocalID

=head2 NoThread

=head1 EXPORT

=head1 AUTHOR

Neil Cherry <ncherry@comcast.net>

=head1 SEE ALSO

L<perl>.

=cut
